package com.autentia.tutos;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

public class Database {
	
	
	
	public static Connection  getConexion() throws ClassNotFoundException, SQLException{
		Class.forName("com.mysql.jdbc.Driver");
		Connection connection=DriverManager.getConnection("jdbc:mysql://localhost:3306/test", "root", "root");
		return connection;
	}
	
	
	public static List getAlumnos(Connection con) throws SQLException, ClassNotFoundException{
		
		List resultList=new ArrayList();
		String query = "SELECT * FROM alumnos";
		
		Statement stmt = con.createStatement();
		ResultSet rs = stmt.executeQuery(query);
		
		while (rs.next()) {
			String name = rs.getString("nombre");
			String surname = rs.getString("apellidos");
			String language = rs.getString("idioma");
			String phone = rs.getString("telefono");
			String address = rs.getString("direccion");
			Alumnos alumnos=new Alumnos();
			alumnos.setNombre(name);
			alumnos.setApellidos(surname);
			alumnos.setIdioma(language);
			alumnos.setTelefono(phone);
			alumnos.setDireccion(address);
			
			resultList.add(alumnos);
			
		}
		
		return resultList;
	}

}
